MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031995Open CASCADE[OCCT] OCCT:Modeling Datapublic2020-12-14 12:192020-12-19 15:22
Reporterifv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031995: Modeling Data - Bounding box is wrong for face
DescriptionBounding box built for attached face does not cover face.
Steps To ReproduceTest case
bugs/moddata_3/bug31995
TagsNo tags attached.
Test case numberbugs/moddata_3/bug31995
Attached Files? file icon fx.brep (9,312 bytes) 2020-12-14 12:19
? file icon bug31995.brep (9,312 bytes) 2020-12-14 12:34

- Relationships
related to 0025631closedbugmaster Open CASCADE Bounding box is too big for the face. 
child of 0031974assignedifv Community Modeling Algorithms - Strange behavior of boolean operations on this BREP 

-  Notes
(0097571)
git (administrator)
2020-12-14 12:51

Branch CR31995 has been created by ifv.

SHA-1: 961d0b89a461d5609fb09bae6266143faba0e383


Detailed log of new commits:

Author: ifv
Date: Wed Dec 9 17:28:37 2020 +0300

    0031995: Modeling Data - Bounding box wrong for face
    
    BndLib/BndLib_AddSurface.cxx : algorithm of building bounding box for BSpline surfaces is improved
    
    Test cases are modified according to current state of algorithm
    Test case bug31995 added
(0097591)
ifv (developer)
2020-12-14 20:23

Branch CR31995 is ready for review
Test results:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31995-master-IFV/view/COMPARE/ [^]
Branches for integration:
OCCT - CR31995
Products - not
(0097621)
aml (developer)
2020-12-16 08:12

Reviewed.
OCCT: CR31995
Products: nothing
(0097746)
bugmaster (administrator)
2020-12-19 14:49

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097782)
git (administrator)
2020-12-19 15:22

Branch CR31995 has been deleted by inv.

SHA-1: 961d0b89a461d5609fb09bae6266143faba0e383

- Related Changesets
occt: master 2fda7386
Timestamp: 2020-12-09 14:28:37
Author: ifv
Committer: bugmaster
Details ] Diff ]
0031995: Modeling Data - Bounding box wrong for face

BndLib/BndLib_AddSurface.cxx : algorithm of building bounding box for BSpline surfaces is improved

Test cases are modified according to current state of algorithm
Test case bug31995 added
mod - src/BndLib/BndLib_AddSurface.cxx Diff ] File ]
mod - tests/bugs/iges/buc60823 Diff ] File ]
mod - tests/bugs/mesh/bug30008_1 Diff ] File ]
mod - tests/bugs/moddata_3/bug25631 Diff ] File ]
add - tests/bugs/moddata_3/bug31995 Diff ] File ]
mod - tests/hlr/poly_hlr/C14 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-12-14 12:19 ifv New Issue
2020-12-14 12:19 ifv Assigned To => ifv
2020-12-14 12:19 ifv File Added: fx.brep
2020-12-14 12:20 ifv Status new => assigned
2020-12-14 12:25 ifv Relationship added child of 0031974
2020-12-14 12:25 ifv Relationship added related to 0025631
2020-12-14 12:34 ifv File Added: bug31995.brep
2020-12-14 12:51 git Note Added: 0097571
2020-12-14 20:20 ifv Steps to Reproduce Updated View Revisions
2020-12-14 20:20 ifv Summary Modeling Data - Bounding box wrong for face => Modeling Data - Bounding box is wrong for face
2020-12-14 20:23 ifv Note Added: 0097591
2020-12-14 20:23 ifv Assigned To ifv => aml
2020-12-14 20:23 ifv Status assigned => resolved
2020-12-16 08:12 aml Note Added: 0097621
2020-12-16 08:12 aml Assigned To aml => bugmaster
2020-12-16 08:12 aml Status resolved => reviewed
2020-12-19 14:49 bugmaster Note Added: 0097746
2020-12-19 14:49 bugmaster Status reviewed => tested
2020-12-19 14:57 bugmaster Test case number => bugs/moddata_3/bug31995
2020-12-19 15:06 bugmaster Changeset attached => occt master 2fda7386
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097782


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker